%global momorel 2
Summary: DVD backup tool
Name: dvdbackup
Version: 0.1.1
License: GPL
Release: %{momorel}m
Group:  Applications/System
Source0: http://dvd-create.sourceforge.net/dvdbackup-0.1.1.tar.gz
NoSource: 0
Patch0:  dvdbackup-fix_div_by_zero.patch
URL: http://dvd-create.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: libdvdread-devel

%description
dvdbackup is a program that enables you to mirror your DVD-Video to
harddisk. The mirror can then be turned into a DVD-Video image with
help of mkisofs. The image can be burned to a DVD-/+R(W) disk and
played in your stand alone DVD-Video player. Dvdbackup is not just a
backup program but can also give you information about the DVD, or e.g
enable you to just backup the main feature of the DVD.

%prep
%{__rm} -rf %{buildroot}

%setup -q -n %{name}
%patch0 -p1

%build
pushd src
gcc %{optflags} -ldvdread -o dvdbackup dvdbackup.c
popd

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} -m 755 %{buildroot}%{_bindir}
%{__install} -m 755 src/dvdbackup %{buildroot}%{_bindir}/dvdbackup

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root,root)
%doc COPYING README INSTALL
%{_bindir}/dvdbackup

%changelog
* Sun Nov  9 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.1.1-2m)
- Nosource.

* Sun Nov  9 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.1.1-1m)
- Initial specfile.
